java.lang.Object
org.apache.juneau.rest.client.classic.remote.RemoteMeta

public class RemoteMeta extends Object
Contains the meta-data about a REST proxy class.

Captures the information in @Remote and @RemoteOp annotations for caching and reuse.

See Also:
  • Constructor Details

    • RemoteMeta

      public RemoteMeta(Class<?> c)
      Constructor.
      Parameters:
      c - The interface class annotated with a @Remote annotation (optional).
  • Method Details

    • getHeaders

      Returns the headers to set on all requests.
      Returns:
      The headers to set on all requests.
    • getBaseUrl

      public String getBaseUrl()
      Returns the interface-level base/host override from Remote.baseUrl().
      Returns:
      The base/host override. Never null, but may be empty.
    • getAccept

      public String getAccept()
      Returns the interface-level default Accept media type from Remote.accept().
      Returns:
      The accept media type. Never null, but may be empty.
    • getContentType

      Returns the interface-level default Content-Type media type from Remote.contentType().
      Returns:
      The content-type media type. Never null, but may be empty.
    • getQueryData

      Returns the interface-level constant query parameters from Remote.queryData().
      Returns:
      An unmodifiable list of name/value entries. Never null, but may be empty.
    • getFormData

      Returns the interface-level constant form-data parameters from Remote.formData().
      Returns:
      An unmodifiable list of name/value entries. Never null, but may be empty.
    • getTimeout

      public String getTimeout()
      Returns the interface-level default per-call timeout duration string from Remote.timeout().
      Returns:
      The timeout duration string. Never null, but may be empty.
    • getRetries

      public int getRetries()
      Returns the interface-level default maximum retry attempts from Remote.retries().
      Returns:
      The retry count.
    • isRetryNonIdempotent

      public boolean isRetryNonIdempotent()
      Returns whether the interface opts non-idempotent verbs into automatic retries (Remote.retryNonIdempotent()).
      Returns:
      true if non-idempotent retries are opted in at the interface level.
    • isThrowOnError

      public boolean isThrowOnError()
      Returns whether the interface throws a generic exception on an unmatched error response (Remote.throwOnError()).
      Returns:
      true if throwOnError is set at the interface level.
    • isAllowPrivateUrls

      public boolean isAllowPrivateUrls()
      Returns whether the interface opts its absolute @Remote/@Url/baseUrl() targets out of the default deny-private SSRF guardrail (Remote.allowPrivateUrls()).
      Returns:
      true if allowPrivateUrls is set at the interface level.
    • getOperationMeta

      Returns the metadata about the specified operation on this resource proxy.
      Parameters:
      m - The method to look up.
      Returns:
      Metadata about the method or null if no metadata was found.